// Project name : Blinking Led
// Designed By  : ROBOMART
//                http://www.robomart.com

/* Program for "Blinking the LEDs" 
___________________________________________________

Connection settings of Kit

LEDs---@------------->P0

RESET-------------------------->PIN9
Crystal Ossilator-------------->PIN18 and PIN19
VCC=Regulated 5V
Gnd=Ground(0V)
*/

#include<reg52.h>
void delay(unsigned int);
void main(void)
{
while(1)
{
P0=0xff;			// turn on all LEDs
delay(200);
P0=0x00;			// turn off all LEDs
delay(200);
 }
}

void delay(unsigned int time)
{ 
unsigned int i,j;
for(i=0;i<time;i++)
	for(j=0;j<1275;j++);
}